use async_graphql::{Context, FieldResult, Object};
use sqlx::postgres::PgPool;

use crate::models::modell_temp::ModellTemp;

#[derive(Default)]
pub struct ModellTempQuery {}

#[Object(extends)]
impl ModellTempQuery {
    // async fn modelle<'a>(&self, ctx: &'a Context<'_>) -> FieldResult<Vec<ModellTemp>> {
    //     let pool = ctx.data::<PgPool>()?;
    //     let rows = ModellTemp::read_all(pool).await?;
    //     Ok(rows)
    // }

    async fn modell_temp<'a>(&self, ctx: &'a Context<'_>, id: i32) -> FieldResult<ModellTemp> {
        let pool = ctx.data::<PgPool>()?;
        let row = ModellTemp::read_one(pool, &id).await?;
        Ok(row)
    }
}
